Bug 4385 - With XSLT on, results list doesn't show both hardcopy and URL availability
Summary: With XSLT on, results list doesn't show both hardcopy and URL availability
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: PC All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-12 01:03 UTC by Jane Wagner
Modified: 2012-10-25 22:52 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
1st screen shot; only 856 display (24.20 KB, image/jpeg)
2010-04-12 13:03 UTC, Chris Cormack
Details
2nd screenshot; no availability display (10.78 KB, image/jpeg)
2010-04-12 13:04 UTC, Chris Cormack
Details
3rd screenshot; non-circ item displays both item and URL (25.51 KB, image/jpeg)
2010-04-12 13:05 UTC, Chris Cormack
Details
Proposed patch for bug 4385 (5.38 KB, patch)
2010-08-17 13:23 UTC, Ian Walls
Details | Diff | Splinter Review
screenshot after applying patch (55.60 KB, image/png)
2010-08-18 09:02 UTC, Katrin Fischer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:26:32 UTC


---- Reported by jwagner@ptfs.com 2010-04-12 13:03:47 ----

Created an attachment
1st screen shot; only 856 display

I've replicated this problem at several code levels (3.01.00.039 and .061, current head).  With XSLT turned on for the OPAC results list, the Availability line does not always show both a URL and a hardcopy entry if the title has both.  After some testing this morning, it seems to be related to the item's itemtype.  For a title with an 856 and a physical item with a circulating item type (like book), either only the 856 will show or neither will show (first and second screenshots).  If the physical item has a non-circulating item type, like reference or ebook, then both will show (third screenshot).

If XSLT is turned off, the display is fine for all item types.  With a local customization, when the physical item display is moved ahead of the URL display in the XSLT stylesheet, all items display fine.



---- Additional Comments From jwagner@ptfs.com 2010-04-12 13:04:29 ----

Created an attachment
2nd screenshot; no availability display





---- Additional Comments From jwagner@ptfs.com 2010-04-12 13:05:08 ----

Created an attachment
3rd screenshot; non-circ item displays both item and URL





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:26 UTC  ---

This bug was previously known as _bug_ 4385 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4385
Imported an attachment (id=2058)
Imported an attachment (id=2059)
Imported an attachment (id=2060)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 2058 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2059 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2060 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Ian Walls 2010-08-17 13:23:39 UTC
Created attachment 2530 [details] [review]
Proposed patch for bug 4385

Places "Online Access" and "Availability" on different lines.  Will not show "Online Access" unless an 856 field exists, but will show "Availablity: no copies available" if no item records are attached to the biblio.
Comment 2 Katrin Fischer 2010-08-18 09:02:54 UTC
Created attachment 2536 [details]
screenshot after applying patch

I tested Ian's patch today on current HEAD and it works great.
Comment 3 Galen Charlton 2010-10-06 13:02:25 UTC
Patch pushed for inclusion in 3.2.  Please test and close.
Comment 4 Katrin Fischer 2010-10-10 22:28:56 UTC
Tested successfully with 3.2 RC. Closing bug.